<?php
/**
 * SellerStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. BU. Продавцы
 *
 * Управление продавцами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\BuClient\Dto;
use \Ensi\BuClient\ObjectSerializer;

/**
 * SellerStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные статусы продавцов:   * &#x60;1&#x60; - Ожидает подтверждения   * &#x60;2&#x60; - Активен   * &#x60;3&#x60; - Не активен
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class SellerStatusEnum
{
    
    /** Ожидает подтверждения */
    public const CREATE = 1;
    
    /** Активен */
    public const ACTIVE = 2;
    
    /** Не активен */
    public const NOT_ACTIVE = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::CREATE,
            self::ACTIVE,
            self::NOT_ACTIVE,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::CREATE => 'Ожидает подтверждения',
            self::ACTIVE => 'Активен',
            self::NOT_ACTIVE => 'Не активен',
        ];
    }
}


